<?php
  defined('_JEXEC') or die;
  
  /* check for right module and adjust article width */
  
  $article_width = "span12";
  $column_type = "full";
  
  if($this->countModules('right')) {
  	$article_width = "span6";
  	$column_type = "split";
  }
  
  $bgcolor = $this->params->get('bgcolor');
  
  $doc = JFactory::getDocument();
  
  // Add stylesheets
  $doc->addStyleSheet('templates/'.$this->template.'/css/bootstrap.min.css');      
  $doc->addStyleSheet('templates/'.$this->template.'/css/bootstrap-responsive.min.css');    
  $doc->addStyleSheet('templates/'.$this->template.'/css/custom.css');
  $doc->addStyleSheet('templates/'.$this->template.'/css/styles.css');
  $doc->addStyleSheet('templates/'.$this->template.'/css/'.$bgcolor.'.css');    
  $doc->addStyleSheet("font-awesome/css/font-awesome.min.css");
  
  // Add javascript
  $doc->addScript('templates/'.$this->template.'/js/jquery-1.9.1.js');
  $doc->addScript('templates/'.$this->template.'/js/bootstrap.min.js');
?>

<!DOCTYPE html>
<html lang="en">

<head>
  <jdoc:include type="head" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <!--[if lt IE 9]>
  	<script src="<?php echo $this->baseurl ?>/media/jui/js/html5.js"></script>
  <![endif]-->
    
</head>

<body>

    <div id="wrapper"  class="container">

        <div id="header" class="row">
          <div id="logo" class="span3">
            <jdoc:include type="modules" name="logo" style="xhtml" />
          </div>  <!-- end logo -->
          <div id="title" class="span5">
             <jdoc:include type="modules" name="title" style="xhtml" />
          </div>  <!-- end title -->
          <div id="address" class="span4">
            <jdoc:include type="modules" name="address" style="xhtml" />
          </div>  <!-- end address -->
        </div>  <!-- row -->
        
        <div id="mainmenu" class="row">
          <div id="menu-wrapper" class="span12">
            <div id="menu">
              <div class="navbar">
                <div class="navbar-inner">
                
                  <div class="container">
                    
                    <a class="btn btn-navbar" data-toggle="collapse" data-target=".navbar-responsive-collapse">
                      <span class="icon-bar"></span>
                      <span class="icon-bar"></span>
                      <span class="icon-bar"></span>
                    </a>   
                    
                    <div class="nav-collapse collapse navbar-responsive-collapse"> 
                      <jdoc:include type="modules" name="mainmenu" style="xhtml" />
                     </div>  <!-- end collapse -->
                    </div>  <!-- end container -->
                </div>  <!-- end navbar-inner  -->
              </div>  <!-- end navbar -->
          </div>  <!-- end menu -->
          </div>  <!-- end menu-wrapper -->
        </div>  <!-- row -->
        
        <div id="content" class="row">
            <div id="article-wrapper" class="<?php echo $article_width ?>">
              <div id="article" class="<?php echo $column_type ?>">
                 <jdoc:include type="message" />
                 <jdoc:include type="component" />                
              </div>  <!-- article -->
            </div>  <!-- end article -->
            
            <?php if ($this->countModules('right')) { ?> 
            <div id="right-wrapper" class="span6">
              <div id="right">
                <jdoc:include type="modules" name="right" style="xhtml" />
             </div>  <!-- end right -->        
          </div>  <!-- end right-wrapper -->        
           <?php }; ?> 
        </div>  <!-- row -->
        
        
        <?php if ($this->countModules('block1')) { ?>
        <div id="blocks" class="row">
            <div id="block1" class="span3">
              <jdoc:include type="modules" name="block1" style="xhtml" />
            </div>  <!-- end block1 -->
            <div id="block2" class="span3">
              <jdoc:include type="modules" name="block2" style="xhtml" />
            </div>  <!-- end block2 -->
            <div id="block3" class="span3">
              <jdoc:include type="modules" name="block3" style="xhtml" />
            </div>  <!-- end block3 -->
            <div id="block4" class="span3">
               <jdoc:include type="modules" name="block4" style="xhtml" />
            </div>  <!-- end block4 -->
        </div>  <!-- row -->
        <?php }; ?>
        
        
        <?php if ($this->countModules('bottom-left')) { ?>
        <div id="bottom" class="row">
          <div id="bottom-left" class="span6">
            <jdoc:include type="modules" name="bottom-left" style="xhtml" />
          </div>  <!-- end bottom-left -->
          <div id="bottom-right" class="span6">
            <jdoc:include type="modules" name="bottom-right" style="xhtml" />
          </div>  <!-- end bottom-right -->    
        </div>  <!-- row -->
        <?php }; ?>
        
        <div id="footer-wrapper" class="row">
          <div id="footer" class="span12">
              <jdoc:include type="modules" name="footer" style="xhtml" />
          </div>  <!-- end footer -->
        </div>  <!-- row -->

    </div> <!-- container -->  
  
</body>
</html>